Volkira Jul 4 @ 2:14pm
LEGACY PHYSX DRIVER needed to start game.
As stated by Nvidia

This installer is required for games released around the end of 2007. If a game released in that period worked correctly with PhysX System Software 9.12.0613 but no longer works with latter versions the legacy installer is required.
This will be a onetime install. No future updates are expected since these games do not support GPU acceleration and do not require updates for future GPUs.
Supports NVIDIA PhysX acceleration on GeForce for SDK versions 2.7.0 and prior as well as 2.7.2.



http://www.nvidia.com/object/physx-9.12.1031-legacy-driver.html
Last edited by Volkira; Jul 4 @ 2:16pm
Showing 1-1 of 1 comments
< >
Hewhosknownasiam Jul 5 @ 10:59am 
Yeah not sure what the issue is but it loaded up just fine on my window 8 tablet with the most recent physx software drivers. Nor did I had to install anything additional on my desktop.
Showing 1-1 of 1 comments
< >
Per page: 15 30 50